List proxy credentials
curl --request GET \
--url https://app.proxy.doubledata.com/api/v1/proxies \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.proxy.doubledata.com/api/v1/proxies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.proxy.doubledata.com/api/v1/proxies"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}import requests
url = "https://app.proxy.doubledata.com/api/v1/proxies"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"credentials": [
{
"id": "8b0d3c1e-52f4-4a8e-9d1a-6f2b7c9e0a14",
"username": "resi_3f9a1c2b7d4e8f60",
"display_name": "Price monitor",
"proxy_type": "residential",
"enabled": true,
"funding_source": "workspace_balance",
"traffic_used_mb": 1834.5,
"limits_mb": {
"total": 0,
"daily": 0,
"weekly": 0,
"monthly": 50000
},
"created_at": "2026-11-02T09:14:00Z"
}
],
"total": 1
}{
"error": {
"code": "unauthorized",
"message": "A valid API key is required.",
"request_id": "ad2f824c-46bc-47c6-b276-2bb51a3083b1"
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"ips": [
"127.0.0.1"
]
}
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"ips": [
"127.0.0.1"
]
}
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"ips": [
"127.0.0.1"
]
}
}
}Credentials
List proxy credentials
List residential, datacenter, and mobile credentials in your organization. Passwords are not included; get one credential to read its password.
GET
https://app.proxy.doubledata.com/api/v1
/
proxies
List proxy credentials
curl --request GET \
--url https://app.proxy.doubledata.com/api/v1/proxies \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.proxy.doubledata.com/api/v1/proxies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.proxy.doubledata.com/api/v1/proxies"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}import requests
url = "https://app.proxy.doubledata.com/api/v1/proxies"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"credentials": [
{
"id": "8b0d3c1e-52f4-4a8e-9d1a-6f2b7c9e0a14",
"username": "resi_3f9a1c2b7d4e8f60",
"display_name": "Price monitor",
"proxy_type": "residential",
"enabled": true,
"funding_source": "workspace_balance",
"traffic_used_mb": 1834.5,
"limits_mb": {
"total": 0,
"daily": 0,
"weekly": 0,
"monthly": 50000
},
"created_at": "2026-11-02T09:14:00Z"
}
],
"total": 1
}{
"error": {
"code": "unauthorized",
"message": "A valid API key is required.",
"request_id": "ad2f824c-46bc-47c6-b276-2bb51a3083b1"
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"ips": [
"127.0.0.1"
]
}
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"ips": [
"127.0.0.1"
]
}
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"ips": [
"127.0.0.1"
]
}
}
}